Bug 151134 - NPE at org.openide.text.CloneableEditorSupport$StrongRef.access$1000
NPE at org.openide.text.CloneableEditorSupport$StrongRef.access$1000
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Text
6.x
All All
: P3 (vote)
: 6.x
Assigned To: mslama
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 12:43 UTC by aldobrucale
Modified: 2009-02-19 22:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (981 bytes, text/plain)
2008-10-23 12:43 UTC, aldobrucale
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2008-10-23 12:43:48 UTC
Build: NetBeans IDE Dev (Build 200810230201)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.24-21-generic, i386

User Comments:
aldobrucale: Opening a file in the editor (clicked on a node in the debug screen)



Stacktrace: 
java.lang.NullPointerException
        at org.openide.text.CloneableEditorSupport$StrongRef.access$1000(CloneableEditorSupport.java:2469)
        at org.openide.text.CloneableEditorSupport$1Selector.run(CloneableEditorSupport.java:2401)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
Comment 1 aldobrucale 2008-10-23 12:43:58 UTC
Created attachment 72535 [details]
stacktrace
Comment 2 mslama 2008-10-27 12:29:57 UTC
Added check for null
core-main #d6f0ebfafc09
Comment 3 Quality Engineering 2008-10-28 05:03:49 UTC
Integrated into 'main-golden', will be available in build *200810280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d6f0ebfafc09
User: Marek Slama <mslama@netbeans.org>
Log: #151134: Add check for null.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo